Skip to main content
GET
/
v2
/
{entity}
/
{project}
/
predictions
Prediction List
curl --request GET \
  --url https://api.example.com/v2/{entity}/{project}/predictions
import requests

url = "https://api.example.com/v2/{entity}/{project}/predictions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v2/{entity}/{project}/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "prediction_id": "<string>",
    "model": "<string>",
    "inputs": {},
    "output": "<unknown>",
    "evaluation_run_id": "<string>",
    "wb_user_id": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity
string
required
project
string
required

Query Parameters

evaluation_run_id
string | null

Filter by evaluation run ID

limit
integer | null

Maximum number of predictions to return

offset
integer | null

Number of predictions to skip

Response

Stream of data in JSONL format

prediction_id
string
required

The prediction ID

model
string
required

The model reference (weave:// URI)

inputs
Inputs · object
required

The inputs to the prediction

output
any
required

The output of the prediction

evaluation_run_id
string | null

Evaluation run ID if this prediction is linked to one

wb_user_id
string | null

Do not set directly. Server will automatically populate this field.